--- /dev/null	2007-01-03 00:03:18.000000000 +0000
+++ uni_vga.working/European1.sfm	2007-03-31 14:47:54.000000000 +0100
@@ -0,0 +1,1073 @@
+# European1 - an attempt to display all living native european languages.
+# Some of these might be seriously endangered, but that's no reason not to be
+# able to display them.  The downside is that e.g. arabic and hebrew are not
+# displayable - if you need those, try LatArCyrHeb-16 or (better) fedora's
+# latarcyrheb-sun16 from the kbd-lat-sun-fonts tarball in their kbd srpm.
+# This version concentrates on less-common letters, but there are still a
+# few available positions if anything is missing.  This is a 512-glyph font,
+# so consoles using it will have a limited range of colours.
+#
+# Special thanks to Dmitry Bolkovityanov for the original u_vga16.bdf font
+# and for his example sfm files, to Bruno Haible for the Unicode-HOWTO, and
+# to various people whose old posts in the linux-utf8 archives led me to
+# fix Dmitry's bdf2psf.pl to work with my current perl, and his Makefile to
+# work with the psfaddtable in kbd-1.12.
+#
+# This is offered in the hope it will be useful, and as an example for those
+# who wish to make their own choice about which glyphs to render on their
+# console. If you find any bugs (particularly, missing characters, or any
+# current european characters which don't display correctly), please notify
+# me at ken (at) linuxfromscratch (dot) org : Ken Moffat 2007-03-30.
+#
+# Changelog:
+# 2007-03-31	Add low-99 quote U+201e and degree symbol U+00b0.
+#		Add U+1e80-5 for welsh.
+# 2007-03-30	correct the test character for U+01e8 (K with caron) after
+#		moving it to position 0x17 trying to debug why it didn't
+#		display correctly, and then noticing it was ok in the
+#		showconsolefont output.
+# 2007-03-29	map U+2212 (minus sign) to keep groff-utf8 happy.
+#
+# first, the common characters, and some variations, plus graphics and infill.
+# values less than 0x20 are not displayable, what seems to happen is that the
+# second character is used
+# inverted exclamation ¡
+0x00	U+0000 U+00a1
+# inverted question mark ¿
+0x01	U+0001 U+00bf
+# angled double quotes « »
+0x02	U+0002 U+00ab
+0x03	U+0003 U+00bb
+# euro €
+0x04	U+0004 U+20ac
+# feminine ordinal ª
+0x05	U+0005 U+00aa
+# masculine ordinal º
+0x06	U+0006 U+00ba
+# medium shade (and light, dark) ▒
+0x07	U+2592 U+2591 U+2593
+# vertical and variations │
+0x08	U+2502 U+2503 U+2551
+# vertical and left variations ┤
+0x09	U+2524 U+2525 U+2526 U+2527 U+2528 U+2529 U+252A U+252B U+2561 U+2562 U+2563
+# down and left, i.e. top right corner ┐
+0x0a	U+2510 U+2511 U+2512 U+2513 U+2555 U+2556 U+2557
+# up and right, i.e. bottom left corner └
+0x0b	U+2514 U+2515 U+2516 U+2517 U+2558 U+2559 U+255a
+# horizontal and up (T pointing up) ┴
+0x0c	U+2534 U+2535 U+2536 U+2537 U+2538 U+2539 U+253a U+253b U+2567 U+2568 U+2569
+# horizontal and down (T pointing down) ┬
+0x0d	U+252c U+252d U+252e U+252f U+2530 U+2531 U+2532 U+2533 U+2564 U+2565 U+2566
+# vertical and right (T pointing right) ├
+0x0e	U+251c U+251d U+251e U+251f U+2520 U+2521 U+2522 U+2523 U+255e U+255f U+2560
+# horizontal and variations, also em dash horizontal bar ─
+0x0f	U+2500 U+2501 U+2550 U+2014 U+2015
+# cross and variations ┼
+0x10	U+253c U+253d U+253e U+253f U+2540 U+2541 U+2542 U+2543 U+2544 U+2545 U+2546 U+2547 U+2548 U+2549 U+254a U+254b U+256a U+256b U+256c
+# up and left, i.e. bottom right corner ┘
+0x11	U+2518 U+2519 U+251a U+251b U+255b U+255c U+255d
+# down and right, i.e. top left corner ┌
+0x12	U+250c U+250d U+250e U+250f U+2552 U+2553 U+2554
+# full block solid, and -some- partials █
+0x13	U+2588 U+2584 U+258c U+2590 U+2580
+# black square ■
+0x14	U+25a0
+# cyrillic capital em with tail Ӎ
+0x15	U+0015 U+04cd
+# cyrillic small em with tail ӎ
+0x16	U+0016 U+04ce
+# K with caron Ǩ
+0x17	U+0017 U+01e8
+# low-99 quote „
+0x18	U+0018 U+201e
+# degree °
+0x19	U+0019 U+00b0
+# spare, for now, but they _need_ a glyph - give them random latin glyphs
+0x1a	U+001a U+027a
+0x1b	U+001b U+027b
+0x1c	U+001c U+027c
+0x1d	U+001d U+027d
+0x1e	U+001e U+027e
+0x1f	U+001f U+027f
+# regular characters - the first is displayed, and others display the same
+# space and no-break space
+0x20	U+0020 U+00a0
+# exclamation mark !
+0x21	U+0021
+# double quotes - display using 'right double quote', and variants "
+0x22	U+201d U+0022 U+201c U+201f
+# hash or octothorpe #
+0x23	U+0023
+# dollar $
+0x24	U+0024
+# percent %
+0x25	U+0025
+# ampersand &
+0x26	U+0026
+# single quote - display using 'right single quote', and variants '
+0x27	U+2019 U+0027 U+2018 U+2019
+# left parenthesis (
+0x28	U+0028
+# right parenthesis )
+0x29	U+0029
+# star *
+0x2a	U+002a
+# plus +
+0x2b	U+002b
+# comma, also low-9 quote ,
+0x2c	U+002c U+201a
+# minus, hyphen, non-breaking hyphen, figure dash, en dash -
+# and also the 'minus sign' which groff-utf8 is using in man pages
+0x2d	U+002d U+2010 U+2011 U+2012 U+2013 U+2212
+# period .
+0x2e	U+002e
+# slash /
+0x2f	U+002f
+# digits 0 to 9
+0x30	U+0030
+0x31	U+0031
+0x32	U+0032
+0x33	U+0033
+0x34	U+0034
+0x35	U+0035
+0x36	U+0036
+0x37	U+0037
+0x38	U+0038
+0x39	U+0039
+# colon :
+0x3a	U+003a
+# semicolon, and greek question mark ;
+0x3b	U+003b U+037e
+# less-than, and single left angle quote <
+0x3c	U+003c U+2039
+# equals sign =
+0x3d	U+003d
+# greater than, and single right angle quote >
+0x3e	U+003e U+203a
+# question mark '?'
+0x3f	U+003f
+# @ symbol
+0x40	U+0040
+# A, cyrillic capital a А
+0x41	U+0041 U+0410
+# B, cyrillic capital ve В
+0x42	U+0042 U+0412
+# C, cyrillic capital es С
+0x43	U+0043 U+0421
+# D
+0x44	U+0044
+# E, cyrillic capital ie Е
+0x45	U+0045 U+0415
+# F
+0x46	U+0046
+# G
+0x47	U+0047
+# H, cyrillic capital en Н
+0x48	U+0048 U+041d
+# I, belarussian/ukrainian capital i
+0x49	U+0049 U+0406
+# J, cyrillic capital je
+0x4a	U+004a U+0408
+# K, cyrillic capital ka К
+0x4b	U+004b U+041a
+# L
+0x4c	U+004c
+# M, cyrillic capital em М
+0x4d	U+004d U+041c
+# N
+0x4e	U+004e
+# O, cyrillic capital o О
+0x4f	U+004f U+041e
+# P, cyrillic capital er Р
+0x50	U+0050 U+0420
+# Q
+0x51	U+0051
+# R
+0x52	U+0052
+# S, cyrillic capital dze
+0x53	U+0053 U+0405
+# T, cyrillic capital te Т
+0x54	U+0054 U+0422
+# U
+0x55	U+0055
+# V
+0x56	U+0056
+# W
+0x57	U+0057
+# X, cyrillic capital ha Х
+0x58	U+0058 U+0425
+# Y
+0x59	U+0059
+# Z
+0x5a	U+005a
+# left square bracket [
+0x5b	U+005b
+# backslash \
+0x5c	U+005c
+# right square bracket ]
+0x5d	U+005d
+# caret ^
+0x5e	U+005e
+# underscore _
+0x5f	U+005f
+# back quote - and single high-reversed-9 quote `
+0x60	U+0060 U+201B
+# a, cyrillic a 'а'
+0x61	U+0061 U+0430
+# b
+0x62	U+0062
+# c, cyrillic es с
+0x63	U+0063 U+0441
+# d
+0x64	U+0064
+# e, cyrillic ie е
+0x65	U+0065 U+0435
+# f
+0x66	U+0066
+# g
+0x67	U+0067
+# h
+0x68	U+0068
+# i, belarussian/ukrainian i і
+0x69	U+0069 U+0456
+# j, cyrillic je ј
+0x6a	U+006a U+0458
+# k
+0x6b	U+006b
+# l
+0x6c	U+006c
+# m
+0x6d	U+006d
+# n
+0x6e	U+006e
+# o, cyrillic o о
+0x6f	U+006f U+043e
+# p, cyrillic er р
+0x70	U+0070 U+0440
+# q
+0x71	U+0071
+# r
+0x72	U+0072
+# s, cyrillic dze ѕ
+0x73	U+0073 U+0455
+# t
+0x74	U+0074
+# u
+0x75	U+0075
+# v
+0x76	U+0076
+# w
+0x77	U+0077
+# x
+0x78	U+0078
+# y
+0x79	U+0079
+# z
+0x7a	U+007a
+# left brace {
+0x7b	U+007b
+# vertical bar |
+0x7c	U+007c
+# right brace }
+0x7d	U+007d
+# tilde ~
+0x7e	U+007e
+# squeeze capital schwa Ə in here
+0x7f	U+018f
+# selected other latin letters, and accented latin, in order,
+# A with grave À
+0x80	U+00c0
+# A with acute Á
+0x81	U+00c1
+# A with circumflex Â
+0x82	U+00c2
+# A with tilde Ã
+0x83	U+00c3
+# A with diaeresis Ä
+0x84	U+00c4
+# A with ring above Å
+0x85	U+00c5
+# AE ligature Æ
+0x86	U+00c6
+# C with cedilla Ç
+0x87	U+00c7
+# E with grave È, cyrillic capital ie with grave Ѐ
+0x88	U+00c8 U+0400
+# E with acute É
+0x89	U+00c9
+# E with circumflex Ê
+0x8a	U+00ca
+# E with diaeresis Ë, cyrillic capital io
+0x8b	U+00cb U+0401
+# I with grave Ì
+0x8c	U+00cc
+# I with acute Í
+0x8d	U+00cd
+# I with circumflex Î
+0x8e	U+00ce
+# I with diaeresis Ï, cyrillic capital yi
+0x8f	U+00cf U+0407
+# capital Eth Ð
+0x90	U+00d0
+# N with tilde Ñ
+0x91	U+00d1
+# O with grave Ò
+0x92	U+00d2
+# O with acute Ó
+0x93	U+00d3
+# O with circumflex Ô
+0x94	U+00d4
+# O with tilde Õ
+0x95	U+00d5
+# O with diaeresis Ö
+0x96	U+00d6
+# cyrillic en with tail ӊ
+0x97	U+04ca
+# O slash Ø Ø
+0x98	U+00d8
+# U with grave Ù
+0x99	U+00d9
+# U with acute Ú
+0x9a	U+00da
+# U with circumflex Û
+0x9b	U+00db
+# U with diaeresis Ü
+0x9c	U+00dc
+# Y with acute Ý
+0x9d	U+00dd
+# capital thorn Þ
+0x9e	U+00de
+# german small Eszett ß
+0x9f	U+00df
+# a with grave à
+0xa0	U+00e0
+# a with acute á
+0xa1	U+00e1
+# a with circumflex â
+0xa2	U+00e2
+# a with tilde ã
+0xa3	U+00e3
+# a with diaeresis ä
+0xa4	U+00e4
+# a with ring above å
+0xa5	U+00e5
+# ae ligature æ
+0xa6	U+00e6
+# c with cedilla ç
+0xa7	U+00e7
+# e with grave è, cyrllic ie with grave ѐ
+0xa8	U+00e8 U+0450
+# e with acute é
+0xa9	U+00e9
+# e with circumflex ê
+0xaa	U+00ea
+# e with diaeresis ë, cyrillic io ё
+0xab	U+00eb U+0451
+# i with grave ì
+0xac	U+00ec
+# i with acute í
+0xad	U+00ed
+# i with circumflex î
+0xae	U+00ee
+# i with diaeresis ï, cyrillic yi ї
+0xaf	U+00ef U+0457
+# small eth ð
+0xb0	U+00f0
+# n with tilde ñ
+0xb1	U+00f1
+# o with grave ò
+0xb2	U+00f2
+# o with acute ó
+0xb3	U+00f3
+# o with circumflex ô
+0xb4	U+00f4
+# o with tilde õ
+0xb5	U+00f5
+# o with diaeresis ö
+0xb6	U+00f6
+# cyrillic capital en with tail Ӊ
+0xb7	U+04c9
+# o slash ø
+0xb8	U+00f8
+# u with grave ù
+0xb9	U+00f9
+# u with acute ú
+0xba	U+00fa
+# u with circumflex û
+0xbb	U+00fb
+# u with diaeresis ü
+0xbc	U+00fc
+# y with acute ý
+0xbd	U+00fd
+# small thorn þ
+0xbe	U+00fe
+# y with diaeresis ÿ
+0xbf	U+00ff
+# A with macron Ā
+0xc0	U+0100
+# a with macron ā
+0xc1	U+0101
+# A with breve Ă
+0xc2	U+0102
+# a with breve ă
+0xc3	U+0103
+# A with ogonek Ą
+0xc4	U+0104
+# a with ogonek ą
+0xc5	U+0105
+# C with acute Ć
+0xc6	U+0106
+# c with acute ć
+0xc7	U+0107
+# C with circumflex Ĉ
+0xc8	U+0108
+# c with circumflex ĉ
+0xc9	U+0109
+# C with dot above Ċ
+0xca	U+010a
+# c with dot above ċ
+0xcb	U+010b
+# C with caron Č
+0xcc	U+010c
+# c with caron č
+0xcd	U+010d
+# D with caron Ď
+0xce	U+010e
+# d with caron ď
+0xcf	U+010f
+# D with stroke Đ
+0xd0	U+0110
+# d with stroke đ
+0xd1	U+0111
+# E with macron Ē
+0xd2	U+0112
+# e with macron ē
+0xd3	U+0113
+# E with breve Ĕ
+0xd4	U+0114
+# e with breve ĕ
+0xd5	U+0115
+# E with dot above Ė
+0xd6	U+0116
+# e with dot above ė
+0xd7	U+0117
+# E with ogonek Ę
+0xd8	U+0118
+# e with ogonek ę
+0xd9	U+0119
+# E with caron Ě
+0xda	U+011a
+# e with caron ě
+0xdb	U+011b
+# G with circumflex Ĝ
+0xdc	U+011c
+# g with circumflex ĝ
+0xdd	U+011d
+# G with breve Ğ
+0xde	U+011e
+# g with breve ğ
+0xdf	U+011f
+# G with dot above Ġ
+0xe0	U+0120
+# g with dot above ġ
+0xe1	U+0121
+# G with cedilla Ģ
+0xe2	U+0122
+# G with cedilla ģ
+0xe3	U+0123
+# H with circumflex Ĥ
+0xe4	U+0124
+# h with circumflex ĥ
+0xe5	U+0125
+# H with stroke Ħ
+0xe6	U+0126
+# h with stroke ħ
+0xe7	U+0127
+# I with tilde Ĩ (obsolete)
+0xe8	U+0128
+# i with tilde ĩ (obsolete)
+0xe9	U+0129
+# I with macron Ī
+0xea	U+012a
+# i with macron ī
+0xeb	U+012b
+# I with breve Ĭ - no known uses
+0xec	U+012c
+# i with breve ĭ - no known uses
+0xed	U+012d
+# I with ogonek Į
+0xee	U+012e
+# i with ogonek į
+0xef	U+012f
+# I with dot above İ
+0xf0	U+0130
+# dotless i ı
+0xf1	U+0131
+# IJ ligature Ĳ, unlikely to be keyed
+0xf2	U+0132
+# ij ligature ĳ, unlikely to be keyed
+0xf3	U+0133
+# J with circumflex Ĵ
+0xf4	U+0134
+# j with circumflex ĵ
+0xf5	U+0135
+# K with cedilla Ķ
+0xf6	U+0136
+# k with cedilla ķ
+0xf7	U+0137
+# small kra ĸ (obsolete)
+0xf8	U+0138
+# L with acute Ĺ
+0xf9	U+0139
+# l with acute ĺ
+0xfa	U+013a
+# L with cedilla Ļ
+0xfb	U+013b
+# l with cedilla ļ
+0xfc	U+013c
+# L with caron Ľ
+0xfd	U+013d
+# l with caron ľ
+0xfe	U+013e
+# L with middle dot Ŀ
+0xff	U+013f
+# l with middle dot ŀ
+0x100	U+0140
+# L with stroke Ł
+0x101	U+0141
+# l with stroke ł
+0x102	U+0142
+# N with acute Ń
+0x103	U+0143
+# n with acute ń
+0x104	U+0144
+# N with cedilla Ņ
+0x105	U+0145
+# n with cedilla ņ
+0x106	U+0146
+# N with caron Ň
+0x107	U+0147
+# n with caron ň
+0x108	U+0148
+# n with apostrophe ŉ
+0x109	U+0149
+# capital eng Ŋ
+0x10a	U+014a
+# small eng ŋ
+0x10b	U+014b
+# O with macron Ō
+0x10c	U+014c
+# o with macron ō
+0x10d	U+014d
+# O with breve Ŏ
+0x10e	U+014e
+# o with breve ŏ
+0x10f	U+014f
+# O with double acute Ő
+0x110	U+0150
+# o with double acute ő
+0x111	U+0151
+# OE ligature Œ
+0x112	U+0152
+# oe ligature œ
+0x113	U+0153
+# R with acute Ŕ
+0x114	U+0154
+# r with acute ŕ
+0x115	U+0155
+# R with cedilla Ŗ
+0x116	U+0156
+# r with cedilla ŗ
+0x117	U+0157
+# R with caron Ř
+0x118	U+0158
+# r with caron ř
+0x119	U+0159
+# S with acute Ś
+0x11a	U+015a
+# s with acute ś
+0x11b	U+015b
+# S with circumflex Ŝ
+0x11c	U+015c
+# s with circumflex ŝ
+0x11d	U+015d
+# S with cedilla Ş and also with comma Ș
+0x11e	U+015e U+0218
+# s with cedilla ş and also with comma ș
+0x11f	U+015f U+0219
+# S with caron Š
+0x120	U+0160
+# s with caron š
+0x121	U+0161
+# T with cedilla Ţ and also with comma Ț
+0x122	U+0162 U+021a
+# t with cedilla ţ and also with comma ț
+0x123	U+0163 U+021b
+# T with caron Ť
+0x124	U+0164
+# t with caron ť
+0x125	U+0165
+# T with stroke Ŧ
+0x126	U+0166
+# t with stroke ŧ
+0x127	U+0167
+# U with tilde Ũ (obsolete)
+0x128	U+0168
+# u with tilde ũ (obsolete)
+0x129	U+0169
+# U with macron Ū
+0x12a	U+016a
+# u with macron ū
+0x12b	U+016b
+# U with breve Ŭ
+0x12c	U+016c
+# u with breve ŭ
+0x12d	U+016d
+# U with ring above Ů
+0x12e	U+016e
+# u with ring above ů
+0x12f	U+016f
+# U with double acute Ű
+0x130	U+0170
+# u with double acute ű
+0x131	U+0171
+# U with ogonek Ų
+0x132	U+0172
+# u with ogonek ų
+0x133	U+0173
+# W with circumflex Ŵ
+0x134	U+0174
+# w with circumflex ŵ
+0x135	U+0175
+# Y with circumflex Ŷ
+0x136	U+0176
+# y with circumflex ŷ
+0x137	U+0177
+# Y with diaeresis Ÿ
+0x138	U+0178
+# Z with acute Ź
+0x139	U+0179
+# z with acute ź
+0x13a	U+017a
+# Z with dot above Ż
+0x13b	U+017b
+# z with dot above ż
+0x13c	U+017c
+# Z with caron Ž
+0x13d	U+017d
+# z with caron ž
+0x13e	U+017e
+# some letters cherry-picked for azeri, finnish variants, sami,
+# scots, livonian
+# capital ezh Ʒ
+0x13f	U+01b7
+# A with diaeresis and macron Ǟ
+0x140	U+01de
+# a with diaeresis and macron ǟ
+0x141	U+01df
+# G with stroke Ǥ
+0x142	U+01e4
+# g with stroke ǥ
+0x143	U+01e5
+# G with caron Ǧ
+0x144	U+01e6
+# g with caron ǧ
+0x145	U+01e7
+# K with caron Ǩ
+#0x146	U+01e8
+# k with caron ǩ
+0x147	U+01e9
+# O with ogonek Ǫ
+0x148	U+01ea
+# o with ogonek ǫ
+0x149	U+01eb
+# capital ezh with caron Ǯ
+0x14a	U+01ee
+# small ezh with caron ǯ
+0x14b	U+01ef
+# capital yogh Ȝ
+0x14c	U+021c
+# small yogh ȝ
+0x14d	U+021d
+# H with caron Ȟ
+0x14e	U+021e
+# h with caron ȟ
+0x14f	U+021f
+# O with diaeresis and macron Ȫ
+0x150	U+022a
+# o with diaeresis and macron ȫ
+0x151	U+022b
+# O with tilde and macron Ȭ
+0x152	U+022c
+# o with tilde and macron ȭ
+0x153	U+022d
+# O with dot above Ȯ
+0x154	U+022e
+# o with dot above ȯ
+0x155	U+022f
+# O with dot above and macron Ȱ
+0x156	U+0230
+# o with dot above and macron ȱ
+0x157	U+0231
+# Y with macron Ȳ
+0x158	U+0232
+# y with macron ȳ
+0x159	U+0233
+# small schwa ə
+0x15a	U+0259
+# small ezh ʒ
+0x15b	U+0292
+# D with cedilla Ḑ
+0x15c	U+1e10
+# d with cedilla ḑ
+0x15d	U+1e11
+# modern greek
+# numeral sign, dexia keraia ʹ
+0x160	U+0374
+# lower numeral sign, aristeri keraia ͵
+0x161	U+0375
+# W with acute Ẃ
+0x162	U+1E82
+# w with acute ẃ
+0x163	U+1E83
+# W with diaeresis Ẅ
+0x164	U+1E84
+# w with diaeresis ẅ
+0x165	U+1E85
+# capital alpha with tonos Ά
+0x166	U+0386
+# 0x167 spare
+# capital epsilon with tonos Έ
+0x168	U+0388
+# capital eta with tonos Ή
+0x169	U+0389
+# capital iota with tonos Ί
+0x16a	U+038a
+# capital omicron with tonos Ό
+0x16b	U+038c
+# capital upsilon with tonos Ύ
+0x16c	U+038e
+# W with grave Ẁ
+0x16d	U+1E80
+# w with grave ẁ
+0x16e	U+1E81
+# capital omega with tonos Ώ
+0x16f	U+038f
+# small iota with dialytika and tonos ΐ
+0x170	U+0390
+# capital alpha Α
+0x171	U+0391
+# capital beta Β
+0x172	U+0392
+# capital gamma Γ
+0x173	U+0393
+# capital delta Δ
+0x174	U+0394
+# capital epsilon Ε
+0x175	U+0395
+# capital zeta Ζ
+0x176	U+0396
+# capital eta Η
+0x177	U+0397
+# capital theta Θ
+0x178	U+0398
+# capital iota Ι
+0x179	U+0399
+# capital kappa Κ
+0x17a	U+039a
+# capital lamda Λ
+0x17b	U+039b
+# capital mu Μ
+0x17c	U+039c
+# capital nu Ν
+0x17d	U+039d
+# capital xi
+0x17e	U+039e
+# capital omicron Ο
+0x17f	U+039f
+# capital pi Π
+0x180	U+03a0
+# capital rho Ρ
+0x181	U+03a1
+# only one capital sigma, 0x182 is spare
+# capital sigma Σ
+0x183	U+03a3
+# capital tau Τ
+0x184	U+03a4
+# capital upsilon Υ
+0x185	U+03a5
+# capital phi Φ
+0x186	U+03a6
+# capital chi Χ
+0x187	U+03a7
+# capital psi Ψ
+0x188	U+03a8
+# capital omega Ω
+0x189	U+03a9
+# capital iota with dialytika Ϊ
+0x18a	U+03aa
+# capital upsilon with dialytika Ϋ
+0x18b	U+03ab
+# alpha with tonos ά
+0x18c	U+03ac
+# epsilon with tonos έ
+0x18d	U+03ad
+# eta with tonos ή
+0x18e	U+03ae
+# iota with tonos ί
+0x18f	U+03af
+# upsilon with dialytika and tonos ΰ
+0x190	U+03b0
+# alpha α
+0x191	U+03b1
+# beta β
+0x192	U+03b2
+# gamma γ
+0x193	U+03b3
+# delta δ
+0x194	U+03b4
+# epsilon ε
+0x195	U+03b5
+# zeta ζ
+0x196	U+03b6
+# eta η
+0x197	U+03b7
+# theta θ
+0x198	U+03b8
+# iota ι
+0x199	U+03b9
+# kappa κ
+0x19a	U+03ba
+# lamda λ
+0x19b	U+03bb
+# mu μ and also micro symbol µ
+0x19c	U+03bc U+00b5
+# nu ν
+0x19d	U+03bd
+# xi ξ
+0x19e	U+03be
+# omicron ο
+0x19f	U+03bf
+# pi π
+0x1a0	U+03c0
+# rho ρ
+0x1a1	U+03c1
+# final sigma ς
+0x1a2	U+03c2
+# sigma σ
+0x1a3	U+03c3
+# tau τ
+0x1a4	U+03c4
+# upsilon υ
+0x1a5	U+03c5
+# phi φ
+0x1a6	U+03c6
+# chi χ
+0x1a7	U+03c7
+# psi ψ
+0x1a8	U+03c8
+# omega ω
+0x1a9	U+03c9
+# iota with dialytika ϊ
+0x1aa	U+03ca
+# upsilon with dialytika ϋ
+0x1ab	U+03cb
+# omicron with tonos ό
+0x1ac	U+03cc
+# upsilon with tonos ύ
+0x1ad	U+03cd
+# omega with tonos ώ
+0x1ae	U+03ce
+# cyrillic characters - too save space, a few are mapped to latin versions
+# and some later glyphs from 0450 onwards are interposed
+# for capital ie with grave Ѐ see È 00c8
+# dje ђ
+0x1b0	U+0452
+# for capital io Ё see Ë 00cb
+# gje ѓ
+0x1b1	U+0453
+# capital dje Ђ
+0x1b2	U+0402
+# capital gje Ѓ
+0x1b3	U+0403
+# capital ukrainian ie Є
+0x1b4	U+0404
+# for capital dze ('S') Ѕ see 'S'
+# ukrainian ie є
+0x1b5	U+0454
+# for capital belarussian/ukrainian i І see 'I'
+# lje љ
+0x1b6	U+0459
+# for capital yi (ukrainian i with diaeresis) Ї see Ï 0cf
+# nje њ
+0x1b7	U+045a
+# for capital je 'J' Ј see J
+# tshe ћ
+0x1b8	U+045b
+# capital lje Љ
+0x1b9	U+0409
+# capital nje Њ
+0x1ba	U+040a
+# capital tshe Ћ
+0x1bb	U+040b
+# capital kje (K with acute) Ќ
+0x1bc	U+040c
+# cyrillic capital i with grave Ѝ
+0x1bd	U+040d
+# cyrillic capital short u Ў
+0x1be	U+040e
+# cyrillic capital dzhe Џ
+0x1bf	U+040f
+# for cyrillic capital A А see 'A'
+# kje ќ
+0x1c0	U+045c
+# capital be Б
+0x1c1	U+0411
+# for capital ve В see B
+# i with grave ѝ
+0x1c2	U+045d
+# capital ghe Г
+0x1c3	U+0413
+# capital de Д
+0x1c4	U+0414
+# for capital ie 'E' Е see E
+# short u ў
+0x1c5	U+045e
+# capital zhe Ж
+0x1c6	U+0416
+# capital ze З
+0x1c7	U+0417
+# cyrillic capital i И
+0x1c8	U+0418
+# cyrillic capital short i Й
+0x1c9	U+0419
+# for capital ka К see K
+# dzhe џ
+0x1ca	U+045f
+# capital el Л
+0x1cb	U+041b
+# for capital em М see M
+# capital short i with tail Ҋ
+0x1cc	U+048a
+# for capital en Н see H
+# short i with tail ҋ
+0x1cd	U+048b
+# for cyrillic capital o О see O
+# capital semisoft sign Ҍ
+0x1ce	U+048c
+# capital pe П
+0x1cf	U+041f
+# for capital er 'P' Р see P
+# semisoft sign ҍ
+0x1d0	U+048d
+# for capital es 'C' С see C
+# capital er with tick Ҏ 
+0x1d1	U+048e
+# for capital te Т see T
+# er with tick ҏ
+0x1d2	U+048f
+# cyrillic capital u У
+0x1d3	U+0423
+# capital ef Ф
+0x1d4	U+0424
+# for capital ha 'X' Х see X
+# capital ghe with upturn Ґ
+0x1d5	U+0490
+# capital tse Ц
+0x1d6	U+0426
+# capital che Ч
+0x1d7	U+0427
+# capital sha Ш
+0x1d8	U+0428
+# capital shcha Щ
+0x1d9	U+0429
+# capital hard sign Ъ
+0x1da	U+042a
+# capital yeru Ы
+0x1db	U+042b
+# capital soft sign Ь
+0x1dc	U+042c
+# cyrillic capital e Э
+0x1dd	U+042d
+# cyrillic capital yu Ю
+0x1de	U+042e
+# cyrillic capital ya Я
+0x1df	U+042f
+# for cyrillic a а see a
+# ghe with upturn ґ
+0x1e0	U+0491
+# be б
+0x1e1	U+0431
+# ve в
+0x1e2	U+0432
+# ghe г
+0x1e3	U+0433
+# de д
+0x1e4	U+0434
+# for cyrillic ie е see e
+# capital zhe with breve Ӂ
+0x1e5	U+04c1
+# zhe ж
+0x1e6	U+0436
+# ze з
+0x1e7	U+0437
+# cyrillic i и
+0x1e8	U+0438
+# cyrillic short i й
+0x1e9	U+0439
+# ka к
+0x1ea	U+043a
+# el л
+0x1eb	U+043b
+# em м
+0x1ec	U+043c
+# en н
+0x1ed	U+043d
+# for cyrillic o о see o
+# zhe with breve ӂ
+0x1ee	U+04c2
+# pe п
+0x1ef	U+043f
+# for er р see p 
+# capital el with tail Ӆ
+0x1f0	U+04c5
+# for es с see c
+# el with tail ӆ
+0x1f1	U+04c6
+# te т
+0x1f2	U+0442
+# cyrillic u у
+0x1f3	U+0443
+# ef ф
+0x1f4	U+0444
+# ha х
+0x1f5	U+0445
+# tse ц
+0x1f6	U+0446
+# che ч
+0x1f7	U+0447
+# sha ш
+0x1f8	U+0448
+# shcha щ
+0x1f9	U+0449
+# hard sign ъ
+0x1fa	U+044a
+# yeri (or 'yeru') ы
+0x1fb	U+044b
+# soft sign ь
+0x1fc	U+044c
+# cyrillic e э
+0x1fd	U+044d
+# yu ю
+0x1fe	U+044e
+# ya я
+0x1ff	U+044f
+# for ie with grave ѐ see è 00e8
+# for io ё see ë 00eb
+# for dze ѕ see s
+# for belarussian/ukrainian i і see i
+# for yi ї see ï 00ef
+# for je ј see j
+# for capital en with tail see 0xb7
+# for en with tail see 0x97
+# for capital m with tail see 0x15
